msgpack::type::ext_ref Class Reference

`#include <ext.hpp>`

## Public Member Functions

| ext_ref ()
| ext_ref (const char *p, uint32_t s)
| ext_ref (ext const &x)
const char * | data () const
uint32_t | size () const
int8_t | type () const
std::string | str () const
bool | operator== (const ext_ref &x) const
bool | operator!= (const ext_ref &x) const
bool | operator< (const ext_ref &x) const
bool | operator> (const ext_ref &x) const

## Friends

struct | adaptor::object< msgpack::type::ext_ref >

## Constructor & Destructor Documentation

## ext_ref() [1/3]

msgpack::type::ext_ref::ext_ref | ( |  | ) |

inline

## ext_ref() [2/3]

msgpack::type::ext_ref::ext_ref | ( | const char * | p,
|  | uint32_t | s
| ) |  |

inline

## ext_ref() [3/3]

msgpack::type::ext_ref::ext_ref | ( | ext const & | x | ) |

inline

## Member Function Documentation

## data()

const char* msgpack::type::ext_ref::data | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext_ref >::operator()().

## operator!=()

bool msgpack::type::ext_ref::operator!= | ( | const ext_ref & | x | ) | const

inline

## operator<()

bool msgpack::type::ext_ref::operator< | ( | const ext_ref & | x | ) | const

inline

## operator==()

bool msgpack::type::ext_ref::operator== | ( | const ext_ref & | x | ) | const

inline

## operator>()

bool msgpack::type::ext_ref::operator> | ( | const ext_ref & | x | ) | const

inline

## size()

uint32_t msgpack::type::ext_ref::size | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext_ref >::operator()(), and msgpack::adaptor::object< msgpack::type::ext_ref >::operator()().

## str()

std::string msgpack::type::ext_ref::str | ( |  | ) | const

inline

## type()

int8_t msgpack::type::ext_ref::type | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext_ref >::operator()().

## Friends And Related Function Documentation

## adaptor::object< msgpack::type::ext_ref >

friend struct adaptor::object< msgpack::type::ext_ref >

friend

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/ext.hpp